Cloud Backup API, REST: Policy.ListApplications
List applied policies using filters.
HTTP request
GET https://backup.api.yandexcloud.kz/backup/v1/policies/{policyId}/applications
Path parameters
|
Field |
Description |
|
policyId |
string Required field. Policy ID. Includes only one of the fields |
Query parameters
|
Field |
Description |
|
folderId |
string Folder ID. Includes only one of the fields |
|
computeInstanceId |
string Compute Cloud instance ID. Includes only one of the fields |
|
showProcessing |
boolean If true, also returns applications that in the process of binding. |
Response
HTTP Code: 200 - OK
{
"applications": [
{
"policyId": "string",
"computeInstanceId": "string",
"enabled": "boolean",
"status": "string",
"createdAt": "string",
"isProcessing": "boolean"
}
]
}
|
Field |
Description |
|
applications[] |
PolicyApplication
|
Field |
Description |
|
policyId |
string Policy ID. |
|
computeInstanceId |
string Compute Cloud instance ID. |
|
enabled |
boolean |
|
status |
enum (Status)
|
|
createdAt |
string (date-time) String in RFC3339 To work with values in this field, use the APIs described in the |
|
isProcessing |
boolean If true, then the policy is in in the process of binding to the instance. |